{% extends "layouts/base.html" %}
{% load don_template_functions static %}

{% block content %}

    <div class="container mb-10">
        <h1>OpenAPI Specification Generator</h1>
        <p class="font-size-lg">Pas de JSON in de linker editor aan om een OpenAPI Spec te genereren.</p>
    </div>

    <div class="page-oas-generator p-5 mb-12 m-6 card">        
        <div class="flex flex-row ">
            <div class="input-area mr-5">
                <div class="editor-header">
                    <h2>Input</h2>
                    
                </div>
                <div id="oas-generator-input-field" class="json-editor"></div>
            </div>
            <div class="output-area">
                <div class="editor-header">
                    <h2>Output (openapi.json)</h2>
                    <div>
                        <button type="submit" class="button mr-1" id="JSON-download-button">Download JSON
                            <svg class="buton__icon button__icon--last icon icon--md icon--stroke-lg">
                                <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-download" />
                            </svg>
                        </button>
                        <button type="submit" class="button" id="yml-download-button">Download YAML
                            <svg class="buton__icon button__icon--last icon icon--md icon--stroke-lg">
                                <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-download" />
                            </svg>
                        </button>
                        <button type="submit" class="button" id="yml-copy-button">Kopieer YAML
                            <svg class="buton__icon button__icon--last icon icon--md icon--stroke-lg">
                                <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-copy" />
                            </svg>
                        </button>
                    </div>
                </div>
                <div id="oas-generator-output-field" class="json-editor"></div>
            </div>
        </div>
    </div>

<link rel="stylesheet" href="{% static 'vendor/jsoneditor.css' %}">
<script src="{% static 'dist/oas-generator.js' %}" defer></script>
{% endblock %}
